Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05428 Graphics Minor Always Jan 18, 2014, 02:24 Dec 4, 2015, 09:13
Tester zaxxon View Status Public Platform MAMEUI
Assigned To Haze Resolution Fixed OS Windows XP
Status [?] Resolved Driver scramble.cpp
Version 0.152 Fixed in Version 0.166 Build Normal
Summary 05428: newsin7: sprites cut off/not displayed at top of play area
Description  - New Sinbad 7 -

the player, enemies, and player shots/explosions are not displayed when drawn at the top of the play area.
the enemies bullets however are displayed.
(see first screenshot below).
i played the first few levels of the game and the issue occurs on all levels.

in mame 0.141 and earlier, this bug did not exist (see second screenshot below).
in mame 0.142 this game hangs/black screen when attempting to load.
in mame 0.143 onwards, the bug is present.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.143
Affected Sets / Systems newsin7
Attached Files
png file icon incorrect.png (2,650 bytes) Jan 18, 2014, 02:24 Uploaded by zaxxon
incorrect
zaxxon
png file icon correct.png (2,763 bytes) Jan 18, 2014, 02:25 Uploaded by zaxxon
correct
zaxxon
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.10189
Osso
Developer
Jan 18, 2014, 14:41
edited on: Jan 18, 2014, 14:42
With r12096, the VIDEO_START for newsin7 was removed and in the process the following lines were lost:

 spritevisiblearea = &_spritevisibleareaflipx;
 spritevisibleareaflipx = &_spritevisiblearea;

If you invert spritevisiblearea & spritevisibleareaflipx, newsin7 works fine again.

This seems a bit hackish, so I'm not going to commit it.

User avatar
No.12219
Stiletto
Developer
Dec 3, 2015, 15:56
This is supposedly fixed, according to the messageboards.
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Board=mamechat&Number=347707#Post347707
User avatar
No.12220
B2K24
Moderator
Dec 4, 2015, 09:12
I can confirm it's fixed here.